gnu.trove

## Class TFloatStack

- java.lang.Object
- - gnu.trove.TFloatStack

    public class TFloatStack
    extends java.lang.Object

A stack of float primitives, backed by a TFloatArrayList.

Version:
  $Id: PStack.template,v 1.2 2007/02/28 23:03:57 robeden Exp $
Author:
  Eric D. Friedman, Rob Eden

### Field Summary

Fields
`protected TFloatArrayList` `_list` the list used to hold the stack values.
`static int` `DEFAULT_CAPACITY`

### Constructor Summary

Constructors
Constructor and Description
`TFloatStack()` Creates a new `TFloatStack` instance with the default capacity.
`TFloatStack(int capacity)` Creates a new `TFloatStack` instance with the specified capacity.

### Method Summary

Methods
`void` `clear()` Clears the stack, reseting its capacity to the default.
`float` `peek()` Returns the value at the top of the stack.
`float` `pop()` Removes and returns the value at the top of the stack.
`void` `push(float val)` Pushes the value onto the top of the stack.
`void` `reset()` Clears the stack without releasing its internal capacity allocation.
`int` `size()` Returns the current depth of the stack.
`float[]` `toNativeArray()` Copies the contents of the stack into a native array.
`void` `toNativeArray(float[] dest)` Copies a slice of the list into a native array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _list

    protected TFloatArrayList _list

the list used to hold the stack values.

#### DEFAULT_CAPACITY

    public static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

### Constructor Detail

#### TFloatStack

    public TFloatStack()

Creates a new `TFloatStack` instance with the default capacity.

#### TFloatStack

    public TFloatStack(int capacity)

Creates a new `TFloatStack` instance with the specified capacity.

Parameters:
  `capacity` - the initial depth of the stack

### Method Detail

#### push

    public void push(float val)

Pushes the value onto the top of the stack.

Parameters:
  `val` - an `float` value

#### pop

    public float pop()

Removes and returns the value at the top of the stack.

Returns:
  an `float` value

#### peek

    public float peek()

Returns the value at the top of the stack.

Returns:
  an `float` value

#### size

    public int size()

Returns the current depth of the stack.

#### clear

    public void clear()

Clears the stack, reseting its capacity to the default.

#### reset

    public void reset()

Clears the stack without releasing its internal capacity allocation.

#### toNativeArray

    public float[] toNativeArray()

Copies the contents of the stack into a native array. Note that this will NOT pop them out of the stack.

Returns:
  an `float[]` value

#### toNativeArray

    public void toNativeArray(float[] dest)

Copies a slice of the list into a native array. Note that this will NOT pop them out of the stack.

Parameters:
  `dest` - the array to copy into.